Subject: bug#27008: 26.0.50; auto-hscroll-mode and scroll-left

From: Stephen Berman <[email-masked]>
Date: Tue, 30 May 2017 21:45:47 +0200

On Tue, 30 May 2017 20:31:38 +0300 Eli Zaretskii <[email-masked]> wrote:

>> Date: Tue, 30 May 2017 20:18:27 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> > From: Stephen Berman <[email-masked]>
>> > Cc: [email-masked]
>> > Date: Tue, 30 May 2017 18:57:01 +0200
>> > 
>> > Thanks very much for pursuing this.  I updated my master branch, applied
>> > your patch and rebuilt, but when I executed the recipe of my OP, I saw
>> > the same effect with the patch as without it: only the current line
>> > respects w->min_hscroll, the other are displayed from BOL.  I'd be happy
>> > to try and help diagnose this further, if you can advise me what to do.
>> 
>> I don't have any advice, because your recipe worked for me after the
>> changes.  I'm confused now.
>
> Ah, I see: I sent the wrong patch.  Here's the right one:

Thanks.  Yes, with this patch the non-current lines are displayed from
w->min_hscroll.  However, there's a new problem: now when points moves
to a line, that line automatically scrolls further by w->min_hscroll.
So when I do `(scroll-left 32 t)' and then move point to another line,
that line scrolls further left so that its column 64 is on the left edge
of the window (the other lines remain displayed starting at column 32).
When point moves to the next line, that one scrolls further to column 64
and the previous one goes back to being displayed from column 32.

Steve Berman